#include <bits/stdc++.h>
using namespace std;

int main() {
   int n;
   cin>>n;
   vector<int> a(n);
   for(int i=0; i < n;i++)cin>>a[i];
   vector<int> b(n);
   for(int i=0; i < n;i++)b[i]=0;
   b[0]=0;
   int br=0;
   if(a[1]<a[0]){br=1;b[1]=1;}
   for(int i=2; i < n;i++){
    if(a[i]<a[i-1]){
    br++;
    }
    b[i]=br;
   }
   //for(int i=0; i < n;i++)cout<<b[i]<<" ";
    int qq;
    cin>>qq;
    for(int i=0; i < n;i++){
        int l,r;
        cin>>l>>r;
        l--;
        r--;
        int x=b[r]-b[l];
        if(x>1)cout<<"NE\n";
        else cout<<"DA\n";
    }
}